//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
PAGES
======================================================================================================================================
*/
.c-page {
    margin-top: @topPaddingBody;
    @media @media_smartphone {
        margin-top: @topPaddingBody_phone;
    }
}

.c-page__header {
    position: relative;
    height: 320px;
    width: calc(100% ~'-'@margin__m);
    margin-bottom: @margin__m;

    &.withImage {
        margin-bottom: @margin__xl + @margin__m;

        .c-page__title {
            padding-right: 55%;
        }
    }

    &:after,
    &:before {
        position: absolute;
        content: '';
        display: block;
        width: 2px;
        height: 100px;
        left: @margin__l/2;
    }

    &:after {
        background-color: @color-primary;
        top: 0;
    }

    &:before {
        background-color: @color-secondary;
        bottom: 0;
    }

    .c-page__thumbnail {
        position: absolute;
        top: 0;
        left: @margin__l;
        right: 0;
        bottom: 0;
        opacity: .3;
        overflow: hidden;
        z-index: 0;

        &>div {
            background-position: center;
            background-size: cover;
            background-repeat: no-repeat;
            height: 100%;
            width: 100%;
            filter: blur(8px);
            -webkit-filter: blur(8px);
            .u-transform(scale(1.05));
        }
    }

    .c-page__image {
        .c-teams__image;
        //bottom: initial;
        top: @margin__s;
    }

    .c-page__title {
        position: absolute;
        top: 50%;
        left: @margin__m;
        padding-right: 10vw;
        z-index: 1;
        font-size: @size__xxxl;
        margin: 0;
        .u-transform(translateY(-50%));
    }

    @media @media_landascape, @media_tablet {
        height: 200px;
        margin-bottom: @margin__s;
        &.withImage {
            margin-bottom: @margin__m;
            height: 300px;

            .c-page__title {
                padding-right: 45%;
            }
        }
        .c-page__image {
            top: initial;
            bottom: -@margin__m/2;
        }
        &:after,
        &:before {
            height: @margin__m;
        }
        .c-page__title {
            font-size: @size__xl;
        }
    }

    @media @media_smartphone {
        width: calc(100% ~'-'@margin__s);
        height: 200px;
        margin-bottom: @margin__s;
        &.withImage {
            margin-bottom: @margin__m;
            height: 320px;

            .c-page__title {
                padding-right: 45%;
                top: @margin__m;
                .u-transform(translateY(0));
            }
            .c-page__image {
                top: initial;
                &:after {
                    left: 0;
                    bottom: 130px;
                }
            }
        }
        &:after,
        &:before {
            height: @margin__s;
            left: @margin__m/2;
        }
        .c-page__image {
            .c-teams__image;
            bottom: 0;
            top: initial;
            left: @margin__s;
        }
        .c-page__title {
            font-size: @size__l;
            left: @margin__s;
            line-height: 1.2em;
        }
        .c-page__thumbnail {
            left: @margin__m;
        }
    }
}

// .c-page__body {
//     padding: 0 @margin__l @margin__m;
// }

//MEDIAGALLERY
.wp-block-gallery {
    padding: @margin__s @margin__m @margin__m;
    margin: 0;
    @media @media_smartphone {
        padding: @margin__s;
    }
}

//ACF
.c-intro {
    position: relative;

    .c-intro__content {
        background-color: white;
        width: calc(100% ~'-'360px);
        min-height: 430px;
        padding: @margin__m;
        padding-right: 360px;
        .u-shadow(@shadow);
    }

    .c-intro__image {
        position: absolute;
        top: @margin__m;
        right: -@margin__m;
        height: 480px;
        width: 720px;
        .u-shadow(@shadow-hover);
    }

    &:after {
        position: absolute;
        content: '';
        display: block;
        bottom: 0;
        right: 0;
        height: 2px;
        width: 200px;
        background-color: @color-tetiary;
    }

    @media @media_tablet, @media_landascape {
        .c-intro__content {
            width: 100%;
            min-height: 430px;
            padding: @margin__s @margin__m @margin__m;
            padding-right: @margin__m;
        }

        .c-intro__image {
            position: relative;
            top: initial;
            right: initial;
            height: 300px;
            width: 500px;
            margin: -@margin__s auto 0;
        }

        &:after {
            bottom: 150px;
            right: 0;
            width: 100px;
        }
    }


    @media @media_smartphone {
        .c-intro__content {
            width: 100%;
            min-height: 430px;
            padding: @margin__s @margin__s @margin__m;
            padding-right: @margin__m;
        }

        .c-intro__image {
            position: relative;
            top: initial;
            right: initial;
            height: 180px;
            width: 260px;
            margin: -@margin__s auto 0;
        }

        &:after {
            bottom: 100px;
            right: 0;
            width: 50px;
        }
    }
}

.c-pagerow {
    position: relative;
    margin: @margin__l auto;
    min-height: 500px;

    .c-pagerow__content {
        background-color: white;
        width: calc(100% ~'-'360px);
        min-height: 480px;
        padding: @margin__m;
        .u-shadow(@shadow);
    }

    .c-pagerow__image {
        position: absolute;
        top: @margin__m;
        height: 430px;
        width: 720px;
        .u-shadow(@shadow-hover);
    }

    &--left {
        .c-pagerow__content {
            padding-left: 360px;
            margin-left: 360px;
        }

        .c-pagerow__image {
            left: -@margin__m;
        }
    }

    &--right {
        .c-pagerow__content {
            padding-right: 360px;
        }

        .c-pagerow__image {
            right: -@margin__m;
        }
    }

    @media @media_tablet, @media_landascape {
        margin: @margin__m auto;
        min-height: 200px;

        .c-pagerow__content {
            width: 100%;
            min-height: 180px;
            padding: @margin__s @margin__m @margin__m;
        }

        .c-pagerow__image {
            position: relative;
            top: initial;
            height: 300px;
            width: 500px;
            margin: -@margin__s auto 0;
        }

        &--left {
            .c-pagerow__content {
                padding-left: @margin__m;
                margin-left: 0;
            }

            .c-pagerow__image {
                left: initial;
            }
        }

        &--right {
            .c-pagerow__content {
                padding-right: @margin__m;
            }

            .c-pagerow__image {
                right: initial;
            }
        }
    }


    @media @media_smartphone {
        margin: @margin__s auto;
        min-height: 200px;

        .c-pagerow__content {
            width: 100%;
            min-height: 180px;
            padding: @margin__s @margin__s @margin__m;
        }

        .c-pagerow__image {
            position: relative;
            top: initial;
            height: 180px;
            width: 260px;
            margin: -@margin__s auto 0;
        }

        &--left {
            .c-pagerow__content {
                padding-left: @margin__s;
                margin-left: 0;
            }

            .c-pagerow__image {
                left: initial;
            }
        }

        &--right {
            .c-pagerow__content {
                padding-right: @margin__s;
            }

            .c-pagerow__image {
                right: initial;
            }
        }
    }
    
}